/* Copyright (c) 2003 - Charles Schmidt <cschmidt2@emich.edu> */

#ifndef __ISHZILLA_PREFERENCES_H__
#define __ISHZILLA_PREFERENCES_H__

#include <glib/gtypes.h>
#include <gconf/gconf-client.h>

void ishzilla_preferences_init(gint *argc,gchar ***argv);

gboolean ishzilla_preferences_get_bool(const gchar *key);
void ishzilla_preferences_set_bool(const gchar *key,gboolean value);

gchar * ishzilla_preferences_get_string(const gchar *key);
void ishzilla_preferences_set_string(const gchar *key,const gchar *value);

gint ishzilla_preferences_get_int(const gchar *key);
void ishzilla_preferences_set_int(const gchar *key,const gint value);

void ishzilla_preferences_finish(void);

#endif
