/* Copyright (c) 2003 - Charles Schmidt <cschmidt2@emich.edu> */

#ifndef __ISHZILLA_PROMPT_SERVICE_H__
#define __ISHZILLA_PROMPT_SERVICE_H__

#include <nsIPromptService.h>
#include <nsIFactory.h>

#include <gtk/gtkwidget.h>

#define I_PROMPT_SERVICE_CID \
 {0xa2112d6a, 0x0e28, 0x421f, {0xb4, 0x6a, 0x25, 0xc0, 0xb3, 0x8, 0xcb, 0xd0}}
#define I_PROMPT_SERVICE_CONTRACTID "@mozilla.org/embedcomp/prompt-service;1"
#define I_PROMPT_SERVICE_CLASSNAME "Ishzilla Prompt Service"

class IshzillaPromptService : public nsIPromptService
{
	public:
		IshzillaPromptService();
		virtual ~IshzillaPromptService();

		NS_DECL_ISUPPORTS
		NS_DECL_NSIPROMPTSERVICE
	private:
		nsresult add_button(GtkWidget *dialog,char type,const PRUnichar *text,gint id);
};


#endif

