/* Copyright (c) 2003 - Charles Schmidt <cschmidt2@emich.edu> */

#include <glib.h>

static guint calldepth = 0;

static void ishzilla_debug_whitespace(void)
{
	guint i;

	for (i = 0; i < calldepth*2; i++) {
		g_print("-");
	}

	return;
}

void ishzilla_debug_enter(const gchar *file,const gchar *func)
{
	ishzilla_debug_whitespace();
	g_print("ENTER %s:%s()\n",file,func);

	calldepth++;

	return;
}

void ishzilla_debug_return(const gchar *file,const gchar *func,guint line)
{
	calldepth--;

	ishzilla_debug_whitespace();
	g_print("RETURN %s:%s():%d\n",file,func,line);

	return;
}
