/* Copyright (c) 2003 - Charles Schmidt <cschmidt2@emich.edu> */

#ifndef __ISHZILLA_H__
#define __ISHZILLA_H__

#include <gtk/gtk.h>

GtkWidget * gtk_button_new_with_widget(GtkWidget *widget);
GtkWidget * gtk_button_new_from_stock_without_label(const gchar *stock_id);
GtkWidget * gtk_button_new_from_stock_with_label(const gchar *stock_id,const gchar *label);

void gtk_label_set_font(GtkLabel *label,const gchar *family);
void gtk_window_set_up_geometry(GtkWindow *window);

gchar * ish_strcasestr(const gchar *haystack,const gchar *needle);

void ishzilla_quit(void);
GtkTreeModel * ishzilla_get_bookmark_store(void);


#endif

