/* Copyright (c) 2003 - Charles Schmidt <cschmidt2@emich.edu> */

#ifndef __PDM_H__
#define __PDM_H__

#include <glib/gtypes.h>

typedef enum {
	COOKIE_NAME = 0,
	COOKIE_VALUE,
	COOKIE_SITE,
	COOKIE_PATH,
	COOKIE_SECURE,
	COOKIE_EXPIRES,
	COOKIE_POLICY
} CookieProperty;

typedef struct _Cookie {
	gchar *properties[7];
} Cookie;

typedef enum {
	PASSWORD_SITE = 0,
	PASSWORD_USER,
} PasswordProperty;

typedef struct _Password {
	gchar *properties[2];
} Password;

#endif
